;##################################################################
; COUNTER
;##################################################################

IDD_DLG1	equ		1000
IDD_STATIC	equ		1001

GetModuleHandle = GetModuleHandleA
DialogBoxParam = DialogBoxParamA
SendDlgItemMessage = SendDlgItemMessageA
wsprintf = wsprintfA

#Define NULL 0
#Define FALSE 0
#Define TRUE 1

#Define WM_INITDIALOG 110h
#Define WM_COMMAND 111h
#Define WM_TIMER 113h
#Define WM_CLOSE 10h
#Define WM_SETTEXT 0Ch

DATA SECTION
	hInstance	DD		?
	szText DB 256 DUP (?)
	count DD 0
	
CODE SECTION

Start:
	invoke GetModuleHandle, 0
	mov [hInstance],eax
	invoke InitCommonControls
	invoke DialogBoxParam,[hInstance],IDD_DLG1,0,offset DlgProc,0
	invoke ExitProcess,0

DlgProc FRAME hwnd,uMsg,wParam,lParam

	mov eax,[uMsg]
	cmp eax,WM_INITDIALOG
	jne >.WM_TIMER
		invoke SetTimer, [hwnd], 99, 1000, NULL
		jmp >.EXIT

	.WM_TIMER
	cmp eax,WM_TIMER
	jne >.WM_COMMAND
		inc D[count]
		invoke wsprintf,offset szText,"Current count : %u", [count]
		add esp,12
		invoke SendDlgItemMessage,[hwnd], IDD_STATIC, WM_SETTEXT,0, offset szText
		jmp >.EXIT

	.WM_COMMAND
	cmp eax,WM_COMMAND
	jne >.WM_CLOSE

		jmp >.EXIT

	.WM_CLOSE
	cmp eax,WM_CLOSE
	jne >.DEFPROC
		invoke KillTimer, [hwnd], 99
		INVOKE EndDialog,[hwnd],0

	.DEFPROC
		mov eax,FALSE
		ret

	.EXIT

	mov eax, TRUE
	ret
ENDF
